summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Thiago Coutinho <thiagocoutinho1@gmail.com>2010-05-11 22:54:30 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:30 +0200
commitecb77f6b1d18a204555fe514e747fcd6561a81b6 (patch)
treefe48b461b6cd1067f4002a7b8dd7ab7e5e438c09 /misc
parent59a87f34dc0d0b22c1514a2fdf2cb75ff10598e1 (diff)
downloadslackbuilds-ecb77f6b1d18a204555fe514e747fcd6561a81b6.tar.gz
slackbuilds-ecb77f6b1d18a204555fe514e747fcd6561a81b6.tar.xz
misc/xsel: Added to 12.1 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/xsel/README1
-rw-r--r--misc/xsel/slack-desc19
-rw-r--r--misc/xsel/xsel.SlackBuild59
-rw-r--r--misc/xsel/xsel.info8
4 files changed, 87 insertions, 0 deletions
diff --git a/misc/xsel/README b/misc/xsel/README
new file mode 100644
index 0000000000..1df4529eff
--- /dev/null
+++ b/misc/xsel/README
@@ -0,0 +1 @@
+xsel (program for get/set the contents of the X selection)
diff --git a/misc/xsel/slack-desc b/misc/xsel/slack-desc
new file mode 100644
index 0000000000..49b56e58be
--- /dev/null
+++ b/misc/xsel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+xsel: xsel (program for get/set the contents of the X selection)
+xsel:
+xsel: XSel is a command-line program for getting and setting the contents
+xsel: of the X selection. Normally this is only accessible by manually
+xsel: highlighting information and pasting it with the middle mouse button.
+xsel:
+xsel: Homepage: http://www.vergenet.net/~conrad/software/xsel/
+xsel:
+xsel:
+xsel:
+xsel:
diff --git a/misc/xsel/xsel.SlackBuild b/misc/xsel/xsel.SlackBuild
new file mode 100644
index 0000000000..9ded9377dc
--- /dev/null
+++ b/misc/xsel/xsel.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for xsel
+
+# Written by Thiago Coutinho <thiagocoutinho1 [at] gmail>
+
+PRGNAM=xsel
+VERSION=1.2.0
+ARCH=${ARCH:-i386}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/xsel/xsel.info b/misc/xsel/xsel.info
new file mode 100644
index 0000000000..f21b99beeb
--- /dev/null
+++ b/misc/xsel/xsel.info
@@ -0,0 +1,8 @@
+PRGNAM="xsel"
+VERSION="1.2.0"
+HOMEPAGE="http://www.vergenet.net/~conrad/software/xsel/"
+DOWNLOAD="http://www.vergenet.net/~conrad/software/xsel/download/xsel-1.2.0.tar.gz"
+MD5SUM="75983f143ce83dc259796c6eaf85c8f5"
+MAINTAINER="Thiago Coutinho"
+EMAIL="thiagocoutinho1@gmail.com"
+APPROVED="rworkman, Michiel"